//+------------------------------------------------------------------+
//|                                          True_Fractals_Level.mq4 |
//|                                                      TO StatBars |
//|                                            http://tradexperts.ru |
//+------------------------------------------------------------------+
#property copyright "TO StatBars"
#property link      "http://tradexperts.ru"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 OrangeRed
//---- input parameters
extern int Level = 5;

//---- indicator buffers
double Upper[];
double Lower[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- additional buffers are used for counting
   IndicatorBuffers(2);
//---- 3 indicator buffers mapping
   SetIndexBuffer(0,Upper);
   SetIndexBuffer(1,Lower);
//---- drawing settings
   SetIndexStyle( 0, DRAW_ARROW, 1, 1);
   SetIndexStyle( 1, DRAW_ARROW, 1, 1);
   SetIndexArrow( 0, 217) ;
   SetIndexArrow( 1, 218) ;
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Bill Williams' Alligator                                         |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- main loop
   for(int i=0; i<limit; i++)
   {
      if( iHighest( Symbol(), Period(), MODE_HIGH, Level, i - Level/2) == i )
         Upper[i] = High[i];
      else Upper[i] = EMPTY_VALUE;
      
      if( iLowest( Symbol(), Period(), MODE_LOW, Level, i - Level/2) == i )
         Lower[i] = Low[i];
      else Lower[i] = EMPTY_VALUE;
   }
//---- done
   return(0);
  }
//+------------------------------------------------------------------+

